From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-process/glances/
Date: Sat, 26 Nov 2016 12:55:02 +0000 (UTC) [thread overview]
Message-ID: <1480164900.06d9c93ad0ce1b66d85edffebab76415ec511289.jlec@gentoo> (raw)
commit: 06d9c93ad0ce1b66d85edffebab76415ec511289
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 26 12:42:31 2016 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Nov 26 12:55:00 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06d9c93a
sys-process/glances: Version Bump
Package-Manager: portage-2.3.2
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
sys-process/glances/Manifest | 1 +
sys-process/glances/glances-2.7.1.ebuild | 73 ++++++++++++++++++++++++++++++++
sys-process/glances/metadata.xml | 4 +-
3 files changed, 76 insertions(+), 2 deletions(-)
diff --git a/sys-process/glances/Manifest b/sys-process/glances/Manifest
index 14933bd..e28bb74 100644
--- a/sys-process/glances/Manifest
+++ b/sys-process/glances/Manifest
@@ -1,4 +1,5 @@
DIST Glances-2.4.2.tar.gz 5497895 SHA256 31f1e4c2e129904a373f3b20d6800472375e415e01161168469ccebb320c9517 SHA512 ada7e2a9766dec54b26fa1fccac3b1abe6b9abcc16a96c6bb30d537370648732a99cff41c6c812908531a4995e118cb3d1127196184f40dee7a01a6a8a85d9b9 WHIRLPOOL 91cd5dfbe891c16bbbe5c6ae17500498c230d36a0795ba134a0384770cae04cbdf08b5236fd56157e438eaff17a7bd9cac3bc42bee7980239faf5c9fc18fc683
DIST Glances-2.5.1.tar.gz 5807072 SHA256 d3db40ce50b7157a94195aa0076d0eadae85dc4f24557e51c3b1a4dbd972359e SHA512 ea099f5db7e73676aaedcd8b416708f2374de57afe0b8292b86f2d0e6295053f0af7bfdb51e3e6cafcb3d7f2b967b788c8d2d1ec806256d2e11b413a7e25ed98 WHIRLPOOL 64a758068436647027a602095194bffdea3cb8b8ac04107b1306f15aa69f23a2c2e9d8b2d222c18434ad5cf26f88e12dd63e4a30b17b3f8665355f0d9d8f292c
DIST Glances-2.6.1.tar.gz 8233445 SHA256 822f0f37455d46732a059f8e2b49762edb90ad66edd61cdf869a4b3683ac2b59 SHA512 09cc8a8a96b53de14de4c0476273e1f3b9655d2d9b4d3220342851b476073ef30ea2c1ac4a33c240ead7911ec2e193398c1e1032860ace607afd4de277249c14 WHIRLPOOL 8e7742368051c6c2c7c5cdf8f093e1aaee5bca012801ac9edaf9043b7e3a3b508daa3dea199407c1ad5947b7cc001071491afc1336d877dd81a14106816888c0
+DIST Glances-2.7.1.tar.gz 13277845 SHA256 afdfdb4b14ae514422c4a882788800473c6cff53719266735c9a2af400c14b86 SHA512 c13e7fb8e6025d284cfabade4eaf10189f6605f53f219889c3c636780ac11773c579f39d956a9eebcf5618de2bffec42446982fb892d775109341af74e621b83 WHIRLPOOL 119792772e45e4a23ca7ddb0e84081eb79a6e72d68311fcba42f4305ae068b105a882b8dda3d14b3f9da6fb7fa55208a125d16c4170767c623c1d1286927fa11
DIST Glances-2.7.tar.gz 13277344 SHA256 4beab1d9532fb016a8236a7449b1ce994f391b7021d66b5cb23d8a26233ad48e SHA512 f2613207cd4f0deed88a8a1949cf78b2b2b334d2313c4b6bf0762bbc6e083b3365cd2a107a5dc52e330595a01f69c3ea8fda9278f22155fe3b16cd71d5b721c7 WHIRLPOOL 16e2d3364a4b382d278fb9d0fd3ac6e6518fd324263330fa5fe80d4159bc8e2824a18cb461810a913c4524e293f3c1e99f5c60c985dce92e58dc373f95c16374
diff --git a/sys-process/glances/glances-2.7.1.ebuild b/sys-process/glances/glances-2.7.1.ebuild
new file mode 100644
index 00000000..0edf3a9
--- /dev/null
+++ b/sys-process/glances/glances-2.7.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1 eutils linux-info
+
+DESCRIPTION="CLI curses based monitoring tool"
+HOMEPAGE="https://github.com/nicolargo/glances"
+SRC_URI="mirror://pypi/${PN^:0:1}/${PN^}/${P^}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+# There is another optional extra batinfo, absent from portage
+RDEPEND="${DEPEND}
+ >=dev-python/psutil-2.0.0[${PYTHON_USEDEP}]"
+
+CONFIG_CHECK="~TASK_IO_ACCOUNTING ~TASK_DELAY_ACCT ~TASKSTATS"
+
+S="${WORKDIR}/${P^}"
+
+pkg_setup() {
+ linux-info_pkg_setup
+}
+
+python_prepare_all() {
+ # Remove duplicate entries of a prebuilt doc build and
+ # ensure install of the file glances.conf in /etc/${PN}
+ sed -i -r '\|share/doc/glances|,/\),/ {
+ s.*share/doc/glances.*|("etc/glances", ["conf/glances.conf"]),|p
+ d
+ }' -- 'setup.py' || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ # add an intended file from original data set from setup.py to DOCS
+ local DOCS=( README.rst conf/glances.conf )
+ # setup for pre-built html docs in setup.py
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Action script feature" dev-python/pystache
+ optfeature "Autodiscover mode" dev-python/zeroconf
+ optfeature "Battery monitoring support" dev-python/batinfo
+ optfeature "Docker monitoring support" dev-python/docker-py
+ optfeature "Graphical/chart support" dev-python/matplotlib
+ # https://bitbucket.org/gleb_zhulik/py3sensors
+ # optfeature "Hardware monitoring support" dev-python/py3sensors
+ optfeature "IP plugin" dev-python/netifaces
+ optfeature "InfluxDB export module" dev-python/influxdb
+ optfeature "Hard drive temperature monitoring" app-admin/hddtemp
+ optfeature "Quicklook CPU info" dev-python/py-cpuinfo
+ optfeature "RAID support" dev-python/pymdstat
+ optfeature "RabbitMQ/ActiveMQ export module" dev-python/pika
+ # https://github.com/banjiewen/bernhard
+ # optfeature "Riemann export" dev-python/bernhard
+ optfeature "SNMP support" dev-python/pysnmp
+ optfeature "StatsD export module" dev-python/statsd
+ optfeature "Web server mode" dev-python/bottle
+}
diff --git a/sys-process/glances/metadata.xml b/sys-process/glances/metadata.xml
index 4b75e76..b934c7d 100644
--- a/sys-process/glances/metadata.xml
+++ b/sys-process/glances/metadata.xml
@@ -2,8 +2,8 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>fdsfgs@krutt.org</email>
- <name>soredake</name>
+ <email>fdsfgs@krutt.org</email>
+ <name>soredake</name>
</maintainer>
<longdescription>
Glances is a cross-platform curses-based monitoring tool written in Python.
next reply other threads:[~2016-11-26 12:55 UTC|newest]
Thread overview: 113+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-26 12:55 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-16 7:51 [gentoo-commits] repo/gentoo:master commit in: sys-process/glances/ Arthur Zamarin
2024-12-16 7:51 Arthur Zamarin
2024-12-16 7:51 Arthur Zamarin
2024-12-16 7:51 Arthur Zamarin
2024-12-15 20:28 John Helmert III
2024-12-15 20:28 John Helmert III
2024-12-08 5:23 Matt Jolly
2024-07-28 18:51 John Helmert III
2024-07-28 3:35 Sam James
2024-07-28 3:35 Sam James
2024-07-28 3:35 Sam James
2024-07-28 3:35 Sam James
2024-07-28 2:39 Sam James
2024-04-21 23:54 Sam James
2024-04-21 23:53 Sam James
2024-04-21 23:53 Sam James
2024-04-21 23:53 Sam James
2024-04-21 23:33 John Helmert III
2024-03-31 21:20 John Helmert III
2023-09-11 4:41 John Helmert III
2022-12-27 1:31 John Helmert III
2022-12-27 1:31 John Helmert III
2022-12-15 2:32 Sam James
2022-12-15 2:23 Sam James
2022-12-15 2:23 Sam James
2022-12-15 2:23 Sam James
2022-12-15 2:05 Sam James
2022-11-03 3:17 John Helmert III
2022-10-21 6:04 John Helmert III
2022-09-17 5:38 Arthur Zamarin
2022-09-10 0:48 Sam James
2022-09-09 19:02 Arthur Zamarin
2022-09-09 17:46 John Helmert III
2022-09-09 17:24 John Helmert III
2022-07-29 16:30 John Helmert III
2022-07-27 17:49 John Helmert III
2022-07-06 4:29 John Helmert III
2021-12-21 9:29 Georgy Yakovlev
2021-12-21 3:51 Georgy Yakovlev
2021-12-21 3:51 Georgy Yakovlev
2021-12-21 3:51 Georgy Yakovlev
2021-08-26 14:55 Sam James
2021-08-26 14:49 Sam James
2021-08-26 3:00 Sam James
2021-08-07 20:59 Georgy Yakovlev
2021-08-06 11:47 Georgy Yakovlev
2021-07-13 5:53 Georgy Yakovlev
2021-07-13 5:53 Georgy Yakovlev
2021-07-13 4:02 Sam James
2021-07-11 8:58 Agostino Sarubbo
2021-07-10 7:41 Georgy Yakovlev
2021-07-10 7:41 Georgy Yakovlev
2021-07-03 10:07 Georgy Yakovlev
2021-06-12 2:59 Georgy Yakovlev
2021-04-29 4:22 Georgy Yakovlev
2021-04-28 18:47 Sam James
2021-04-28 17:04 Sam James
2021-04-28 17:00 Sam James
2021-04-27 18:21 Georgy Yakovlev
2021-04-27 18:09 Sam James
2021-04-02 9:23 Georgy Yakovlev
2021-02-12 1:33 Georgy Yakovlev
2020-09-07 8:55 David Seifert
2020-08-27 18:28 Georgy Yakovlev
2020-08-27 18:28 Georgy Yakovlev
2020-06-07 8:48 Agostino Sarubbo
2020-06-06 17:29 Agostino Sarubbo
2020-05-30 21:19 Georgy Yakovlev
2020-05-30 21:19 Georgy Yakovlev
2020-05-02 18:30 Georgy Yakovlev
2020-05-02 13:30 Mart Raudsepp
2020-05-02 4:50 Georgy Yakovlev
2020-05-02 4:46 Georgy Yakovlev
2020-03-26 22:06 Georgy Yakovlev
2020-02-22 1:30 Georgy Yakovlev
2020-02-11 12:25 Michał Górny
2019-12-28 7:37 Georgy Yakovlev
2019-08-28 8:33 Georgy Yakovlev
2019-07-19 6:47 Georgy Yakovlev
2019-07-19 6:47 Georgy Yakovlev
2019-06-04 7:34 Georgy Yakovlev
2019-01-19 22:12 Georgy Yakovlev
2018-12-01 2:09 Georgy Yakovlev
2018-12-01 2:09 Georgy Yakovlev
2018-09-29 9:07 Georgy Yakovlev
2018-09-29 9:07 Georgy Yakovlev
2018-09-06 16:07 Georgy Yakovlev
2018-09-06 16:07 Georgy Yakovlev
2018-09-03 21:53 Georgy Yakovlev
2018-07-19 1:57 Georgy Yakovlev
2018-07-18 21:23 Georgy Yakovlev
2018-07-18 21:11 Jonas Stein
2018-06-07 6:35 Michał Górny
2018-04-15 17:27 Patrice Clement
2018-04-15 17:27 Patrice Clement
2017-11-05 21:19 Patrice Clement
2017-09-02 18:59 Michał Górny
2017-09-02 18:59 Michał Górny
2017-08-10 14:06 Amy Liffey
2017-08-07 13:07 Jason Donenfeld
2017-03-15 21:52 Amy Liffey
2017-03-15 21:49 Amy Liffey
2017-01-09 23:30 Patrice Clement
2017-01-09 23:30 Patrice Clement
2017-01-09 23:30 Patrice Clement
2016-11-26 18:24 David Seifert
2016-11-26 12:55 Justin Lecher
2016-11-25 21:49 Patrice Clement
2016-10-29 21:17 Michał Górny
2016-04-28 12:48 Ian Delaney
2016-04-28 12:48 Ian Delaney
2016-02-17 8:57 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1480164900.06d9c93ad0ce1b66d85edffebab76415ec511289.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox